Summary:	Free, portable framework for OpenGL application development
Summary(pl.UTF-8):	Wolnodostępny, przenośny szkielet do tworzenia aplikacji OpenGL
Name:		glfw
Version:	3.1.2
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://downloads.sourceforge.net/glfw/%{name}-%{version}.tar.bz2
# Source0-md5:	0bf912994a920ce7a2d8172b3438bcfe
URL:		http://glfw.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	doxygen
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GLFW is a free, Open Source, portable framework for OpenGL application
development. In short, it is a single library providing a powerful,
portable API for otherwise operating system specific tasks such as
opening an OpenGL window, and reading keyboard, mouse and joystick
input.

It also provides functions for reading a high precision timer,
accessing OpenGL extensions, creating and synchronizing threads,
reading textures from files and more.

GLFW is available for Windows, MacOS X, Unix-like systems such as
Linux and FreeBSD, and for AmigaOS and DOS.

%description -l pl.UTF-8
GLFW to wolnodostępny, mający otwarte źródła, przenośny szkielet do
tworzenia aplikacji OpenGL. W skrócie jest to pojedyncza biblioteka
udostępniająca potężne, przenośne API do zadań zależnych od systemu
operacyjnego, takich jak otwieranie okna OpenGL, odczyt wejścia z
klawiatury, myszy i joysticka.

Zawiera także funkcje do odczytu zegara o wysokiej rozdzielczości,
dostępu do rozszerzeń OpenGL, tworzenia i synchronizowania wątków,
odczytu tekstur z plików i innych zadań.

GLFW jest dostępny dla Windows, MacOS X, systemów uniksowych takich
jak Linux czy FreeBSD oraz dla AmigaOS i DOS-a.

%package devel
Summary:	Header files for GLFW library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GLFW
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLX-devel
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXi-devel
Requires:	xorg-lib-libXinerama-devel
Requires:	xorg-lib-libXrandr-devel
Requires:	xorg-lib-libXxf86vm-devel
Obsoletes:	glfw-static

%description devel
Header files for GLFW library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GLFW.

%prep
%setup -q

%build
install -d build
cd build
%cmake ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/{*.c,CMakeLists.txt} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING.txt README.md
%attr(755,root,root) %{_libdir}/libglfw.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libglfw.so.3

%files devel
%defattr(644,root,root,755)
%doc docs/html/*
%attr(755,root,root) %{_libdir}/libglfw.so
%dir %{_includedir}/GLFW
%{_includedir}/GLFW/glfw3*.h
%{_pkgconfigdir}/glfw3.pc
%{_libdir}/cmake/glfw
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Dec 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glfw.git;a=log;h=master

* Sun Dec 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 756740d
- updated to 3.1.2

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> df13594
- release 2 (by relup.sh)

* Thu Jan 02 2014 Jakub Bogusz <qboosh@pld-linux.org> dbf27e0
- updated to 3.0.4

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 1db7af7
- updated to 3.0.1, removed obsolete patches

* Sun Aug 14 2011 Jakub Bogusz <qboosh@pld-linux.org> bd867f4
- updated to 2.7.2

* Sat Jul 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 8274674
- updated to 2.7.1
- updated opt patch
- dropped shared patch (shared library is supported upstream now) and outdated pic patch
- added libdir patch
- soname changed to match upstream (just libglfw.so)

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 79cd05e
- release 4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 226ec97
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ab7ff6f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dec4947
- converted to UTF-8

* Sun Dec 31 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b1468f
- rel 2; BR: OpenGL-GLU-devel

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 87291f0
- new

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 4c149c9
- build shared library

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> d7deba8
- fix x86 compilation with PIC

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 5782df7
- use passed OPTflags

